This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 827013 - after the change to build on fedora 17, installCA_dev.sh doesn't work (in devel env)
after the change to build on fedora 17, installCA_dev.sh doesn't work (in dev...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Juan Hernández
integration infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 08:35 EDT by Eyal Edri
Modified: 2012-10-25 12:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-25 12:33:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eyal Edri 2012-05-31 08:35:06 EDT
Description of problem:

after commit 22032921e004c69eded531503e5b314bc8f87366 to ovirt-engine

installCA_dev.sh fails on:

Write out database with 1 new entries
Data Base Updated
Certificate reply was installed in keystore
/bin/build-classpath: error: Could not find apache-commons-codec Java extension for this JVM
/bin/build-classpath: error: Could not find ovirt-engine/compat Java extension for this JVM
/bin/build-classpath: error: Could not find ovirt-engine/engineencryptutils Java extension for this JVM
/bin/build-classpath: error: Some specified jars were not found
Error: Could not find or load main class org.ovirt.engine.core.engineencryptutils.StoreUtils


this means that you must build and install ovirt-engine rpms on the f17,
which will deploy the missing jars to /usr/share/java/ovirt-engine.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.git clone lastet ovirt-engine
2.run installCA_dev.sh 
3.see failure.
  
Actual results:


Expected results:


Additional info:
Comment 1 Juan Hernández 2012-06-06 13:49:31 EDT
In order to solve this problem I am partially reverting the use of the build-classpath tool in the CA scripts, in particular in store-utils.sh and generate-ssh-keys. The proposed change is this:

http://gerrit.ovirt.org/5110
Comment 2 Juan Hernández 2012-10-25 12:33:06 EDT
This has been without the need for the change in comment #1.

Note You need to log in before you can comment on or make changes to this bug.